Name:        victor-mono-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/VictorMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 VictorMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-BoldItalic.ttf
install -Dm644 VictorMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-BoldItalic.ttf
install -Dm644 VictorMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 VictorMonoNerdFont-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-BoldOblique.ttf
install -Dm644 VictorMonoNerdFontMono-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-BoldOblique.ttf
install -Dm644 VictorMonoNerdFontPropo-BoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-BoldOblique.ttf
install -Dm644 VictorMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Bold.ttf
install -Dm644 VictorMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Bold.ttf
install -Dm644 VictorMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Bold.ttf
install -Dm644 VictorMonoNerdFont-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ExtraLightItalic.ttf
install -Dm644 VictorMonoNerdFontMono-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ExtraLightItalic.ttf
install -Dm644 VictorMonoNerdFontPropo-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ExtraLightItalic.ttf
install -Dm644 VictorMonoNerdFont-ExtraLightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ExtraLightOblique.ttf
install -Dm644 VictorMonoNerdFontMono-ExtraLightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ExtraLightOblique.ttf
install -Dm644 VictorMonoNerdFontPropo-ExtraLightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ExtraLightOblique.ttf
install -Dm644 VictorMonoNerdFont-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ExtraLight.ttf
install -Dm644 VictorMonoNerdFontMono-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ExtraLight.ttf
install -Dm644 VictorMonoNerdFontPropo-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ExtraLight.ttf
install -Dm644 VictorMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Italic.ttf
install -Dm644 VictorMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Italic.ttf
install -Dm644 VictorMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Italic.ttf
install -Dm644 VictorMonoNerdFont-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-LightItalic.ttf
install -Dm644 VictorMonoNerdFontMono-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-LightItalic.ttf
install -Dm644 VictorMonoNerdFontPropo-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-LightItalic.ttf
install -Dm644 VictorMonoNerdFont-LightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-LightOblique.ttf
install -Dm644 VictorMonoNerdFontMono-LightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-LightOblique.ttf
install -Dm644 VictorMonoNerdFontPropo-LightOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-LightOblique.ttf
install -Dm644 VictorMonoNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Light.ttf
install -Dm644 VictorMonoNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Light.ttf
install -Dm644 VictorMonoNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Light.ttf
install -Dm644 VictorMonoNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-MediumItalic.ttf
install -Dm644 VictorMonoNerdFontMono-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-MediumItalic.ttf
install -Dm644 VictorMonoNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-MediumItalic.ttf
install -Dm644 VictorMonoNerdFont-MediumOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-MediumOblique.ttf
install -Dm644 VictorMonoNerdFontMono-MediumOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-MediumOblique.ttf
install -Dm644 VictorMonoNerdFontPropo-MediumOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-MediumOblique.ttf
install -Dm644 VictorMonoNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Medium.ttf
install -Dm644 VictorMonoNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Medium.ttf
install -Dm644 VictorMonoNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Medium.ttf
install -Dm644 VictorMonoNerdFont-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Oblique.ttf
install -Dm644 VictorMonoNerdFontMono-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Oblique.ttf
install -Dm644 VictorMonoNerdFontPropo-Oblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Oblique.ttf
install -Dm644 VictorMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Regular.ttf
install -Dm644 VictorMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Regular.ttf
install -Dm644 VictorMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Regular.ttf
install -Dm644 VictorMonoNerdFont-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-SemiBoldItalic.ttf
install -Dm644 VictorMonoNerdFontMono-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-SemiBoldItalic.ttf
install -Dm644 VictorMonoNerdFontPropo-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-SemiBoldItalic.ttf
install -Dm644 VictorMonoNerdFont-SemiBoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-SemiBoldOblique.ttf
install -Dm644 VictorMonoNerdFontMono-SemiBoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-SemiBoldOblique.ttf
install -Dm644 VictorMonoNerdFontPropo-SemiBoldOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-SemiBoldOblique.ttf
install -Dm644 VictorMonoNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-SemiBold.ttf
install -Dm644 VictorMonoNerdFontMono-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-SemiBold.ttf
install -Dm644 VictorMonoNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-SemiBold.ttf
install -Dm644 VictorMonoNerdFont-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ThinItalic.ttf
install -Dm644 VictorMonoNerdFontMono-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ThinItalic.ttf
install -Dm644 VictorMonoNerdFontPropo-ThinItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ThinItalic.ttf
install -Dm644 VictorMonoNerdFont-ThinOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ThinOblique.ttf
install -Dm644 VictorMonoNerdFontMono-ThinOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ThinOblique.ttf
install -Dm644 VictorMonoNerdFontPropo-ThinOblique.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ThinOblique.ttf
install -Dm644 VictorMonoNerdFont-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Thin.ttf
install -Dm644 VictorMonoNerdFontMono-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Thin.ttf
install -Dm644 VictorMonoNerdFontPropo-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Thin.ttf

%files

%{_datadir}/fonts/%{name}/VictorMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-BoldOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-BoldOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-BoldOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ExtraLightOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ExtraLightOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ExtraLightOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ExtraLight.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ExtraLight.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ExtraLight.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-LightItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-LightItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-LightItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-LightOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-LightOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-LightOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-MediumItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-MediumOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-MediumOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-MediumOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Oblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Oblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Oblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-SemiBoldOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-SemiBoldOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-SemiBoldOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-SemiBold.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-SemiBold.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ThinItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ThinItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ThinItalic.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-ThinOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-ThinOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-ThinOblique.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFont-Thin.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontMono-Thin.ttf
%{_datadir}/fonts/%{name}/VictorMonoNerdFontPropo-Thin.ttf
%license LICENSE.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
